Subject: [alto] draft-ietf-alto-deployments-11

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Mon, 2 Mar 2015 18:21:42 +0000

Dear all,

Sebastian and me have spent quite some cycles to sort out remaining open issues in draft-ietf-alto-deployments.

The improvements compared to -10 include amongst others:

- Alignment with RFC 7285 throughout the document

- Updated Section 2.2.1. Roles in ALTO Deployments, better explaining the main entities in an ALTO deployment

- Extended and improved Sections 3.2.1. Data Sources, 3.2.2. Privacy Requirements, 3.2.3. Partitioning and Grouping of IP Address Ranges, and 3.2.4. Rating Criteria and/or Cost Calculation

- New Section 3.3.3. General Limitations, describing the scope of ALTO and limitations compared to other approaches

- Some internal reorganization in Section 4, without significant modifications of the content

- New Figure 20

- New Section 6.3. Other Application-based Network Operations

- Completely rewritten Section 7. Security Considerations; the rewording keeps the content that is referenced in RFC 7285

- Moving Appendix A to Section 10. Acknowledgments

- Some additional references, e.g., [I-D.kiesel-alto-xdom-disc]

- Many minor editorial improvements

Please have a look and let us know any feedback. Sebastian and me believe that the document is now relatively mature and captures what is known as of today about deployment implications of ALTO.

Thanks

Michael

-----Original Message-----
From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, March 02, 2015 7:14 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-alto-deployments-11.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Application-Layer Traffic Optimization Working Group of the IETF.

        Title           : ALTO Deployment Considerations
        Authors         : Martin Stiemerling
                          Sebastian Kiesel
                          Stefano Previdi
                          Michael Scharf
	Filename        : draft-ietf-alto-deployments-11.txt
	Pages           : 62
	Date            : 2015-03-02

Abstract:
   Many Internet applications are used to access resources such as
   pieces of information or server processes that are available in
   several equivalent replicas on different hosts.  This includes, but
   is not limited to, peer-to-peer file sharing applications.  The goal
   of Application-Layer Traffic Optimization (ALTO) is to provide
   guidance to applications that have to select one or several hosts
   from a set of candidates, which are able to provide a desired
   resource.  This memo discusses deployment related issues of ALTO.  It
   addresses different use cases of ALTO such as peer-to-peer file
   sharing and CDNs and presents corresponding examples.  The document
   also includes recommendations for network administrators and
   application designers planning to deploy ALTO.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-alto-deployments/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-alto-deployments-11

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-alto-deployments-11

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt